**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/logs/sdk-request-profiler/retrieve-profiling-session.md

# Retrieve Profiling Session



Retrieve details about a specific SDK request profiling session.

<Endpoint path="/api/{version}/code/profiler/{session_name}" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` |

## URI Path Parameters {#uri-path-parameters}

| Name | Description |
| --- | --- |
| `{session_name}` | The `name` of the session, for example,  `baseline__c`. |

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.3/code/profiler/baseline__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "id": "0LS000000003002",
       "label": "Baseline",
       "name": "baseline__c",
       "description": null,
       "status": "complete__sys",
       "user_id": null,
       "created_date": "2024-08-23T23:22:00.000Z",
       "expiration_date": "2024-09-22T23:36:21.000Z"
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following `data` for each profiling session:

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The numerical ID of this profiling session. |
| `label` | The UI label of this profiling session. For example, "Baseline". |
| `name` | The API name of this profiling session. For example, `baseline__c`. You can use this value to [end the profiling session early](/vault-api/api-reference/26.1/logs/sdk-request-profiler/end-profiling-session), [download the results](/vault-api/api-reference/26.1/logs/sdk-request-profiler/download-profiling-session-results), or [delete the session](/vault-api/api-reference/26.1/logs/sdk-request-profiler/delete-profiling-session). |
| `description` | The description of this profiling session. |
| `status` | The status of this session, either:`in_progress__sys`: The session is actively running and collecting SDK request data.`processing__sys`: The session is no longer running, but the session is still active as Vault processes the data. The results are not yet available for download.`complete__sys`: The session is over, and the results are available for download. This session is inactive. |
| `user_id` | The ID of the user associated with this session. If `null`, this session applies to all users. |
| `created_date` | The date this session was created, in the format `YYYY-MM-DDTHH:MM:SS.000Z`. |
| `expiration_date` | The date this session will expire, in the format `YYYY-MM-DDTHH:MM:SS.000Z`. Once expired, Vault deletes the session and all session data. |
</FieldTable>

---

**Previous:** [Retrieve All Profiling Sessions](/vault-api/api-reference/26.1/logs/sdk-request-profiler/retrieve-all-profiling-sessions)  
**Next:** [Create Profiling Session](/vault-api/api-reference/26.1/logs/sdk-request-profiler/create-profiling-session)